Kuberenetes Version Upgrade Matrix

Kuberenetes Version Upgrade Matrix

Api to get the K8s versions upgrade matrix for Telco Cloud Automation

Request
URI
POST
https://{api_host}/hybridity/api//infra/k8s/k8sVersionUpgradeMatrix/query
COPY
Request Body

Filter object.

filter of type(s) application/json
Required
{
    "filter": {
        "clusterType": "string",
        "versions": [
            "string"
        ]
    }
}
filter
Optional

filter

Authentication
This operation uses the following authentication methods.
Responses
200

Successfully retrieved version matrix.

Returns upgradeMatrixList of type(s) application/json
{
    "items": [
        {
            "clusterType": "string",
            "version": "string",
            "supportedUpgradeVersions": [
                "string"
            ]
        }
    ]
}
items
Optional

items


500

Internal Server Error

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of error
errors
Optional

errors